Comment mettre à niveau Ubuntu 12.04.2, 12.04.3 à 12.04.4, la prochaine pile d'activation de matériel?

5

J'utilise actuellement Ubuntu 12.04.2 32bit. Je l'ai installé avec LiveCD.

Demain, le 23 août 2013, Ubuntu 12.04.3 est disponible. Je veux passer d'Ubuntu 12.04.2 à Ubuntu 12.04.3 sans utiliser de LiveCD. C'est possible? Si oui, veuillez me suggérer comment puis-je faire.

En fait, en utilisant Ubuntu 12.04.2, j'ai des problèmes avec les graphiques. Ma carte graphique est Intel i845G 64 Mo. Lorsque Ubuntu démarre, il fonctionne parfaitement et sans aucun retard, mais après quelques instants, il se bloque pendant quelques secondes (1 ou 2 secondes) avec un écran de mémoire et devient lent. Toutes les fenêtres et tous les navigateurs commencent à être à la traîne et il est impossible de lire une vidéo sur un lecteur (VLC, lecteur vidéo, Xnoise, SMPlayer, etc.).

Je pense que la mise à niveau vers Ubuntu 12.04.3 pourrait résoudre mon problème.

Toute aide sera grandement appréciée.

J'ai posté une réponse pour mettre à niveau Ubuntu 12.04.x ​​vers 12.04.4. Trouvez-le ici

    
posée Saurav Kumar 24.08.2013 - 07:21
la source

4 réponses

11

Bien que les mises à jour logicielles normales amènent votre système à 12.04.3 , la pile d'activation matérielle (HWE; les packages * -lts-raring) ne fait pas partie de ces mises à jour ( par la politique ).

Vous pouvez installer les packages HWE manuellement, mais il y a quelques réserves.

Pour mettre à niveau, utilisez uniquement cette ligne de commande:

sudo apt-get install --install-recommends xserver-xorg-lts-raring

Le --install-recommends est important. Il s'assure que le xserver s’installera complètement. Sans cela, xserver ne s’installera que partiellement et apt supprimera la plupart de votre système. Vous n'avez pas besoin d'ajouter linux-generic-lts-raring, car il est déjà recommandé par le package xserver, et le noyau 3.8 sera également installé.

Lorsque vous effectuez une mise à niveau comme celle-ci, vous remarquerez peut-être qu'il y a des configurations restantes, notamment celles de l'original xserver-xorg . Vous pouvez les purger (ce que je fais toujours), mais attention: cela supprimera le lien symbolique /etc/X11/X utilisé pour démarrer XServer , donc au prochain démarrage, il ne démarrera pas. Pour éviter cela, après avoir purgé les configurations restantes, procédez comme suit avant le prochain démarrage :

sudo dpkg-reconfigure xserver-xorg-lts-raring

Cela recréera le lien symbolique nécessaire et tout ira bien à nouveau.

    
réponse donnée h1repp 29.08.2013 - 10:16
la source
5

Vous n'avez rien à faire pour mettre à niveau Ubuntu 12.04.2 vers Ubuntu 12.04.3. Les mises à niveau sont transparentes en utilisant les mises à jour logicielles normales dans la même version, qui dans votre cas est Ubuntu 12.04.

Les mises à jour logicielles ne résoudront pas votre problème avec votre très ancien chipset graphique intégré i845G pour les processeurs Intel Pentium 4 et Celeron à partir de 2002. Il serait préférable d'utiliser un ordinateur léger * buntu, soit Xubuntu 32 -bit si vous avez au moins 512 Mo de RAM ou bien Lubuntu 32 bits si vous avez moins de 512 Mo de RAM.

    
réponse donnée karel 24.08.2013 - 07:35
la source
2

Il semble que j'ai corrigé mon problème ( le problème en retard, que j'ai mentionné ci-dessus ). J'ai expérimenté quelque chose de nouveau et ça a l'air bien jusqu'à maintenant. Voici mon histoire:

  1. Après la mise à jour de mon référentiel, j'ai remarqué que certains nouveaux packages étaient listés dans Synaptic Package Manager (peut-être à cause de la version Ubuntu 12.04.3).

  2. Ensuite, j'ai installé Linux Kernel 3.8.0 en sélectionnant les paquets:

    linux-generic-lts-raring
    linux-headers-3.8.0-30
    linux-headers-3.8.0-30-generic
    linux-headers-generic-lts-raring
    linux-image-3.8.0-30-generic
    linux-image-generic-lts-raring
    

    et redémarré mon système. Il a installé avec succès Linux Kernel 3.8

  3. Ensuite, j'ai installé tous les paquetages -lts-raring pour Xserver-Xorg en utilisant l'invite de commande:

    $ sudo apt-get install libgl1-mesa-dri-lts-raring libxatracker1-lts-raring xserver-xorg-core-lts-raring xserver-xorg-input-all-lts-raring xserver-xorg-input-evdev-lts-raring xserver-xorg-input-mouse-lts-raring xserver-xorg-input-synaptics-lts-raring xserver-xorg-input-vmmouse-lts-raring xserver-xorg-input-wacom-lts-raring xserver-xorg-lts-raring xserver-xorg-video-all-lts-raring xserver-xorg-video-ati-lts-raring xserver-xorg-video-cirrus-lts-raring xserver-xorg-video-fbdev-lts-raring xserver-xorg-video-intel-lts-raring xserver-xorg-video-mach64-lts-raring xserver-xorg-video-mga-lts-raring xserver-xorg-video-modesetting-lts-raring xserver-xorg-video-neomagic-lts-raring xserver-xorg-video-nouveau-lts-raring xserver-xorg-video-openchrome-lts-raring xserver-xorg-video-r128-lts-raring xserver-xorg-video-radeon-lts-raring xserver-xorg-video-s3-lts-raring xserver-xorg-video-savage-lts-raring xserver-xorg-video-siliconmotion-lts-raring xserver-xorg-video-sis-lts-raring xserver-xorg-video-sisusb-lts-raring xserver-xorg-video-tdfx-lts-raring xserver-xorg-video-trident-lts-raring xserver-xorg-video-vesa-lts-raring xserver-xorg-video-vmware-lts-raring libxrandr-ltsq2 x11-xserver-utils-lts-raring xserver-common-lts-raring
    

    il a supprimé les paquets Xserver-Xorg déjà installés qui étaient destinés à -lts-quantal

  4. Puis j'ai redémarré mon système.

  5. Et puis ça marche bien.

Jusqu'à présent, je n'ai réalisé aucun type de problème, en cours d'exécution de mon système pendant plus de 2 heures, comme je le faisais très bien avec Ubuntu 10.10. Je pense que c'était à cause de l'ancien noyau Linux et des anciens pilotes Xorg. J'ai également remarqué que cela améliorait légèrement les performances de mon système. Maintenant, je suis capable de jouer à des jeux sur Wine (je ne pouvais pas jouer auparavant), les vidéos sont également jouables.

Si je rencontre un problème, je répondrai ici.

Merci encore

    
réponse donnée Saurav Kumar 24.08.2013 - 11:11
la source
2

Demain, le 6 février 2014, Ubuntu 12.04.4 a été publié avec le nouvel Pile d'activation matérielle . Il est maintenant disponible dans le référentiel.

  

Ceux qui souhaitent mettre à niveau leur Ubuntu vers la prochaine pile d'activation de matériel peut exécuter ces commandes:

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install linux-generic-lts-saucy && sudo apt-get install xserver-xorg-lts-saucy
  

Ceux qui souhaitent installer uniquement le HWE , et ne veulent pas mettre à jour tous les paquets peuvent exécuter ces commandes.

     

Remarque : les utilisateurs d'Ubuntu 12.04.2 peuvent également installer 12.04.4 HWE :

sudo apt-get install linux-generic-lts-saucy && sudo apt-get install xserver-xorg-lts-saucy
  

N'oubliez pas de redémarrer votre système et d'exécuter ces commandes:

sudo dpkg-reconfigure xserver-xorg-lts-saucy && sudo dpkg --configure -a
sudo update-initramfs -u && sudo update-grub
    
réponse donnée Saurav Kumar 07.02.2014 - 07:56
la source

Lire d'autres questions sur les étiquettes